NullSessionHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.NullSessionHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule
Class NullSessionHandler

    java.lang.Object
      org.mule.NullSessionHandler

All Implemented Interfaces:
  SessionHandler

    public class NullSessionHandler

extends Object
implements SessionHandler

A session handler that ignores any session information

Constructor Summary
`NullSessionHandler()`

Method Summary
`String` | `getSessionIDKey()` The property name of the session id to use when creating the Mule session.
`void` | `retrieveSessionInfoFromMessage(MuleMessage message, MuleSession session)`
`void` | `storeSessionInfoToMessage(MuleSession session, MuleMessage message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullSessionHandler

    public NullSessionHandler()

Method Detail

### retrieveSessionInfoFromMessage

    public void retrieveSessionInfoFromMessage(MuleMessage message,
                                               MuleSession session)
                                        throws MuleException

  Specified by:
    `retrieveSessionInfoFromMessage` in interface `SessionHandler`
  Throws:
    `MuleException`

### storeSessionInfoToMessage

    public void storeSessionInfoToMessage(MuleSession session,
                                          MuleMessage message)
                                   throws MuleException

  Specified by:
    `storeSessionInfoToMessage` in interface `SessionHandler`
  Throws:
    `MuleException`

### getSessionIDKey

    public String getSessionIDKey()

  The property name of the session id to use when creating the Mule session. by default the property name "ID" will be used. If no property was set on the session called "ID" a session id will be automatically generated

  Specified by:
    `getSessionIDKey` in interface `SessionHandler`
  Returns:
    the property name of the session id that is set on the session

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.